Package ghidra.app.util.viewer.options

# Class OptionsGui

java.lang.Object
java.awt.Component
java.awt.Container
javax.swing.JComponent
javax.swing.JPanel
ghidra.app.util.viewer.options.OptionsGui

All Implemented Interfaces:
  `ImageObserver`, `MenuContainer`, `Serializable`, `Accessible`

public class OptionsGui extends JPanel
Class for displaying and manipulating field colors and fonts.

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class javax.swing.JPanel

  `JPanel.AccessibleJPanel`

  ## Nested classes/interfaces inherited from class javax.swing.JComponent

  `JComponent.AccessibleJComponent`

  ## Nested classes/interfaces inherited from class java.awt.Container

  `Container.AccessibleAWTContainer`

  ## Nested classes/interfaces inherited from class java.awt.Component

  `Component.AccessibleAWTComponent, Component.BaselineResizeBehavior, Component.BltBufferStrategy, Component.FlipBufferStrategy`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final ScreenElement`
  `ADDRESS`
  `static final ScreenElement`
  `BACKGROUND`
  `static final ScreenElement`
  `BAD_REF_ADDR`
  `static final ScreenElement`
  `BYTES`
  `static final ScreenElement`
  `COMMENT_AUTO`
  `static final ScreenElement`
  `COMMENT_EOL`
  `static final ScreenElement`
  `COMMENT_PLATE`
  `static final ScreenElement`
  `COMMENT_POST`
  `static final ScreenElement`
  `COMMENT_PRE`
  `static final ScreenElement`
  `COMMENT_REF_REPEAT`
  `static final ScreenElement`
  `COMMENT_REPEATABLE`
  `static final ScreenElement`
  `CONSTANT`
  `static final ScreenElement`
  `ENTRY_POINT`
  `static final ScreenElement`
  `EXT_REF_RESOLVED`
  `static final ScreenElement`
  `FIELD_NAME`
  `static final ScreenElement`
  `FLOW_ARROW_ACTIVE`
  `static final ScreenElement`
  `FLOW_ARROW_NON_ACTIVE`
  `static final ScreenElement`
  `FLOW_ARROW_SELECTED`
  `static final ScreenElement`
  `FUN_AUTO_PARAMS`
  `static final ScreenElement`
  `FUN_CALL_FIXUP`
  `static final ScreenElement`
  `FUN_NAME`
  `static final ScreenElement`
  `FUN_PARAMS`
  `static final ScreenElement`
  `FUN_RET_TYPE`
  `static final ScreenElement`
  `FUN_TAG`
  `static final ScreenElement`
  `LABELS_LOCAL`
  `static final ScreenElement`
  `LABELS_NON_PRIMARY`
  `static final ScreenElement`
  `LABELS_PRIMARY`
  `static final ScreenElement`
  `LABELS_UNREFD`
  `static final ScreenElement`
  `MNEMONIC`
  `static final ScreenElement`
  `MNEMONIC_OVERRIDE`
  `static final ScreenElement`
  `MNEMONIC_UNIMPL`
  `static final ScreenElement`
  `PARAMETER_CUSTOM`
  `static final ScreenElement`
  `PARAMETER_DYNAMIC`
  `static final ScreenElement`
  `PCODE_ADDR_SPACE`
  `static final ScreenElement`
  `PCODE_LINE_LABEL`
  `static final ScreenElement`
  `PCODE_RAW_VARNODE`
  `static final ScreenElement`
  `PCODE_USEROP`
  `static final ScreenElement`
  `REGISTERS`
  `static final ScreenElement`
  `SEPARATOR`
  `static final ScreenElement`
  `UNDERLINE`
  `static final ScreenElement`
  `VARIABLE`
  `static final ScreenElement`
  `XREF`
  `static final ScreenElement`
  `XREF_OFFCUT`
  `static final ScreenElement`
  `XREF_OTHER`
  `static final ScreenElement`
  `XREF_READ`
  `static final ScreenElement`
  `XREF_WRITE`

  ### Fields inherited from class javax.swing.JComponent

  `listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

  ### Fields inherited from class java.awt.Component

  `accessibleContext, BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

  ### Fields inherited from interface java.awt.image.ImageObserver

  `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OptionsGui(Font font, PropertyChangeListener listener)`
  Constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Font`
  `getBaseFont()`
  `void`
  `setBaseFont(Font font)`
  `void`
  `updateDisplay()`
  Regenerates the fields for the sample text panel.

  ### Methods inherited from class javax.swing.JPanel

  `getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

  ### Methods inherited from class javax.swing.JComponent

  `addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, hide, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingOrigin, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

  ### Methods inherited from class java.awt.Container

  `add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusDownCycle, validate, validateTree`

  ### Methods inherited from class java.awt.Component

  `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setMixingCutoutShape, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### BACKGROUND

    public static final ScreenElement BACKGROUND

  - ### COMMENT_AUTO

    public static final ScreenElement COMMENT_AUTO

  - ### ADDRESS

    public static final ScreenElement ADDRESS

  - ### BAD_REF_ADDR

    public static final ScreenElement BAD_REF_ADDR

  - ### BYTES

    public static final ScreenElement BYTES

  - ### CONSTANT

    public static final ScreenElement CONSTANT

  - ### LABELS_UNREFD

    public static final ScreenElement LABELS_UNREFD

  - ### ENTRY_POINT

    public static final ScreenElement ENTRY_POINT

  - ### COMMENT_EOL

    public static final ScreenElement COMMENT_EOL

  - ### EXT_REF_RESOLVED

    public static final ScreenElement EXT_REF_RESOLVED

  - ### FIELD_NAME

    public static final ScreenElement FIELD_NAME

  - ### FUN_CALL_FIXUP

    public static final ScreenElement FUN_CALL_FIXUP

  - ### FUN_NAME

    public static final ScreenElement FUN_NAME

  - ### FUN_PARAMS

    public static final ScreenElement FUN_PARAMS

  - ### FUN_TAG

    public static final ScreenElement FUN_TAG

  - ### FUN_AUTO_PARAMS

    public static final ScreenElement FUN_AUTO_PARAMS

  - ### FUN_RET_TYPE

    public static final ScreenElement FUN_RET_TYPE

  - ### COMMENT_REPEATABLE

    public static final ScreenElement COMMENT_REPEATABLE

  - ### COMMENT_REF_REPEAT

    public static final ScreenElement COMMENT_REF_REPEAT

  - ### LABELS_LOCAL

    public static final ScreenElement LABELS_LOCAL

  - ### MNEMONIC

    public static final ScreenElement MNEMONIC

  - ### MNEMONIC_OVERRIDE

    public static final ScreenElement MNEMONIC_OVERRIDE

  - ### MNEMONIC_UNIMPL

    public static final ScreenElement MNEMONIC_UNIMPL

  - ### FLOW_ARROW_ACTIVE

    public static final ScreenElement FLOW_ARROW_ACTIVE

  - ### FLOW_ARROW_NON_ACTIVE

    public static final ScreenElement FLOW_ARROW_NON_ACTIVE

  - ### FLOW_ARROW_SELECTED

    public static final ScreenElement FLOW_ARROW_SELECTED

  - ### LABELS_PRIMARY

    public static final ScreenElement LABELS_PRIMARY

  - ### LABELS_NON_PRIMARY

    public static final ScreenElement LABELS_NON_PRIMARY

  - ### COMMENT_PLATE

    public static final ScreenElement COMMENT_PLATE

  - ### COMMENT_POST

    public static final ScreenElement COMMENT_POST

  - ### COMMENT_PRE

    public static final ScreenElement COMMENT_PRE

  - ### SEPARATOR

    public static final ScreenElement SEPARATOR

  - ### VARIABLE

    public static final ScreenElement VARIABLE

  - ### PARAMETER_CUSTOM

    public static final ScreenElement PARAMETER_CUSTOM

  - ### PARAMETER_DYNAMIC

    public static final ScreenElement PARAMETER_DYNAMIC

  - ### XREF

    public static final ScreenElement XREF

  - ### XREF_OFFCUT

    public static final ScreenElement XREF_OFFCUT

  - ### XREF_READ

    public static final ScreenElement XREF_READ

  - ### XREF_WRITE

    public static final ScreenElement XREF_WRITE

  - ### XREF_OTHER

    public static final ScreenElement XREF_OTHER

  - ### REGISTERS

    public static final ScreenElement REGISTERS

  - ### UNDERLINE

    public static final ScreenElement UNDERLINE

  - ### PCODE_LINE_LABEL

    public static final ScreenElement PCODE_LINE_LABEL

  - ### PCODE_ADDR_SPACE

    public static final ScreenElement PCODE_ADDR_SPACE

  - ### PCODE_RAW_VARNODE

    public static final ScreenElement PCODE_RAW_VARNODE

  - ### PCODE_USEROP

    public static final ScreenElement PCODE_USEROP

- ## Constructor Details

  - ### OptionsGui

    public OptionsGui(Font font, PropertyChangeListener listener)
    Constructor
    Parameters:
      `font` - the base font for the fields.
      `listener` - the listener to be notified when options change.

- ## Method Details

  - ### setBaseFont

    public void setBaseFont(Font font)

  - ### getBaseFont

    public Font getBaseFont()

  - ### updateDisplay

    public void updateDisplay()
    Regenerates the fields for the sample text panel.